/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.catonine.desktop.impl;

import nu.zoom.catonine.desktop.rule.StyleRulesPlugIn.StyleRulesPlugInListener;
import nu.zoom.catonine.stylerule.StyleRulesManager;
import nu.zoom.catonine.swing.tail.TailPane;

/**
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class TailPane2StyleRulesPlugIn implements StyleRulesPlugInListener {
	private final TailPane tailPane;

	public TailPane2StyleRulesPlugIn(final TailPane tailPane) {
		super();
		this.tailPane = tailPane;
	}

	@Override
	public void styleRulesManagerChanged(StyleRulesManager newManager) {
		this.tailPane.setStyleRulesManager(newManager);
	}

}
